
/* $Id: def_pars.c,v 1.13 1994/11/08 13:30:50 a904209 Exp a904209 $
 */
char *def_pars_id = "$Id: def_pars.c,v 1.13 1994/11/08 13:30:50 a904209 Exp a904209 $";
#include <stdio.h>
#include <sys/types.h>
#include <stddef.h>
#include <string.h>
#include <stdlib.h>
#include <malloc.h>
#include <unistd.h>
#include <math.h>
#include "proto.h"
#include "nsynth.h"

extern int samp_rate;

klatt_global_t klatt_global;

/* default values for pars array from .doc file */
klatt_frame_t def_pars =
{
#include "pars.def"
};


double mSec_per_frame=10;

void powiedz_set_rate(int rate)
{
	samp_rate=klatt_global.samrate=rate;
	klatt_global.nspfr = (klatt_global.samrate * mSec_per_frame) / 1000;
}

int powiedz_get_rate(void)
{
	return samp_rate;
}

void powiedz_set_tempo(int t)
{
	mSec_per_frame=t;
	klatt_global.nspfr = (klatt_global.samrate * mSec_per_frame) / 1000;
}

int powiedz_get_tempo(void)
{
	return mSec_per_frame;
}

void powiedz_set_freq(int t)
{
	def_pars.F0hz10=10*t;
}

int powiedz_get_freq(void)
{
	return def_pars.F0hz10/10;
}

int begin_synth()
{
 klatt_global.samrate = samp_rate;
 klatt_global.quiet_flag = TRUE;
 klatt_global.glsource = NATURAL;
 klatt_global.f0_flutter = 0;
 klatt_global.nspfr = (klatt_global.samrate * mSec_per_frame) / 1000; 		
  klatt_global.synthesis_model = ALL_PARALLEL;
}
