/*
   Wykryte bdy:
   d) Brak uamkw - OK
   
   26.05.2001: poprawione daty w zapisie dwucyfrowym
   poprawione przetwarzanie liczb zmiennoprzecinkowych
   wstawiony brakujcy blank w liczbach po przecinku
   
   TODO: parametr "kropka jest zawsze kropk dziesitn"
*/

#include <string.h>
#include <stdlib.h>
#include <stdio.h>
	
// struct Library *TranslatorBase;

struct Buffer {
    int error;
    char *buf;
    int size;
    int pos;
    };

int do_roman=1;

#define TYB_NORMAL 128	/* sowo */
#define TYB_SKROT 1	/* prawd. skrt */
#define TYB_DIGIT 2     /* liczba */
#define TYB_GRPDIT 4    /* cyfry grupowane */
#define TYB_COMADIT 8   /* liczba zawiera ,dd lub ,-- */
#define TYB_FLOAT 16    /* liczba zmiennoprzecinkowa */
#define TYB_HEXA 32	/* liczba szesnastkowa */
#define TYB_SPELDIT 64  /* numer telefonu czy co */
#define TYB_ULAMEK 256  /* uamek */
#define TYB_EXPONENT 512
#define TYB_DECIDOT	0x400
#define TYB_DECICOMMA	0x800

/* Stae napisowe: */


static char *mianownik[]={
    "zerow","pierwsz","drug","trzeci","czwart","pit","szst","sidm","sm","dziewit"};
static char *spelling[]={
    "aa","on","bbe","cce","ci","dde","ee","","fef","ggie","hha","ii","jjot",
    "kka","lel","e","mem","nen","e","oo","o z kresk","ppe","qqu","rer","ses","e",
    "tte","uu","vfau","wwu","xix","yigrek","zzet","et","ziet",0};

char *alx="0123456789abcdefghijklmnopqrstuvwxyzabcdefghijklmnopqrstuvwxyz,(),,-..?' ";
char *blx="0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz,();:-.!?'\"";
char *hug="0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz";
char *dug="ABCDEFGHIJKLMNOPQRSTUVWXYZ";

static char *znaks[]={
    "%procent",
    "=rwna si",
    "@mapa",
    "#hasz",
    "$dolar",
    "paragraf",
    "/amane przez",
    "&oraz",
    "|lub",
    "<mniejsze ni",
    ">wiksze ni",
    "+plus",
    "beta",
    "~tylda",
    0};

char *Szorty[]={
    "poz.","pozycja",
    "poz","pozycja",
    "r-k","rachunek",
    "r-ku","rachunku",
    "z-ca","zastpca",
    "z-cy","zastpcy",
    "z-c","zastpc",
    "z-c","zastpc",
    "r-kiem","rachunkiem",
    "nr","numer",
    "tel.","telefon",
    "tel","telefon",
    "tlx","teleks",
    "godz.","godzina",
//    "sz.","szanowny",
    "mgr","magister",
    "doc.","docent",
    "dr","doktor",
    "hab.","habilitowany",
    "prof.","profesor",
    "ok.","okoo",
    "wg.","wedug",
    "itd.","i tak dalej",
    "itp.","i tym podobne",
    "ps.","post skriptum",
    "red.","redaktor",
    "dyr.","dyrektor",
    "nacz.","naczelny",
//    "g.","gwny",
    "in","inynier",
    "re.","reyser",
    "muz.","muzyka",
    "s.","sowa",
    "ul.","ulica",
    "wg","wedug",
    "np.","na przykad",
    "wp.","wielmony pan",
    "p.","witej pamici",
    "sz.p.","szanowny pan",
    "p.","pan",
    
    
    0};

static char *Skruty[]={ /* po liczbach - 6 pozycji */
    "km/h","kilometr"," na godzin","y na godzin","w na godzin","a na godzin",
    "km/s","kilometr"," na sekund","y na sekund","w na sekund","a na sekund",
    "km/sek","kilometr"," na sekund","y na sekund","w na sekund","a na sekund",
    "m/s","metr"," na sekund","y na sekund","w na sekund","a na sekund",
    "m/sek","metr"," na sekund","y na sekund","w na sekund","a na sekund",
    "ha","hektar","","y","w","a",
    "m","metr","","y","w","a",
    "mm","milimetr","","y","w","a",
    "cm","centymetr","","y","w","a",
    "um","mikrometr","","y","w","a",
    "KB","kilobajt","","y","w","a",
    "MB","megabajt","","y","w","a",
    "GB","gigabajt","","y","w","a",
    "TB","terabajt","","y","w","a",
    "Kb","kilobit","","y","w","a",
    "Mb","megabit","","y","w","a",
    "Gb","gigabit","","y","w","a",
    "Tb","terabit","","y","w","a",
    "Kbps","kilobit"," na sekund","y na sekund","w na sekund","a na sekund",
    "kbps","kilobit"," na sekund","y na sekund","w na sekund","a na sekund",
    "Mbps","megabit"," na sekund","y na sekund","w na sekund","a na sekund",
    "Gbps","gigabit"," na sekund","y na sekund","w na sekund","a na sekund",
    "Tbps","terabit"," na sekund","y na sekund","w na sekund","a na sekund",
    "kg","kilogram","","y","w","a",
    "dag","dekagram","","y","w","a",
    "g","gram","","y","w","a",
    "T","ton","a","y","","y",
    "kT","kiloton","a","y","","y",
    "km","kilometr","","y","w","a",
    "dm","decymetr","","y","w","a",
    "V","wolt","","y","w","a",
    "A","amper","","y","w","a",
    "W","wat","","y","w","a",
    "VA","woltamper","","y","w","a",
    "kV","kilowolt","","y","w","a",
    "kA","kiloamper","","y","w","a",
    "kW","kilowat","","y","w","a",
    "MW","megawat","","y","w","a",
    "kVA","kilowoltamper","","y","w","a",
    "MVA","megawoltamper","","y","w","a",
    "mV","miliwolt","","y","w","a",
    "mA","miliamper","","y","w","a",
    "mW","miliwat","","y","w","a",
    "uV","mikrowolt","","y","w","a",
    "uA","mikroamper","","y","w","a",
    "uW","mikrowat","","y","w","a",
    "nm","nanometr","","y","w","a",
    "dB","decybel","","e","i","a",
    "uF","mikrofarad","","y","w","a",
    "nF","nanofarad","","y","w","a",
    "pF","pikofarad","","y","w","a",
    "hPa","hektopaskal","","e","i","a",
    "MPa","megapaskal","","e","i","a",
    "Hz","herc","","e","w","a",
    "kHz","kiloherc","","e","w","a",
    "MHz","megaherc","","e","w","a",
    "GHz","gigaherc","","e","w","a",
    "ms","milisekund","a","y","","y",
    "us","mikrosekund","a","y","","y",
    "ns","nanosekund","a","y","","y",
    "h","godzin","a","y","","y",
    "z","zot","y","e","ych","ych",
//    "","zot","y","e","ych","ych",
    "","stop","ie","nie","ni","nia",
    "C","stop","ie celsjusza","nie celsjusza","ni celsjusza","nia celsjusza",
    0};

static char *saggy="aeiouy";
static char *hursy[]={"zero","pierwsza","druga","trzecia",
	"czwarta","pita","szsta","sidma",
	"sma","dziewita","dziesita","jedenasta",
	"dwunasta","trzynasta","czternasta","pitnasta",
	"szesnasta","siedemnasta","osiemnasta","dziewitnasta",
	"dwudziesta",
	"dwudziesta pierwsza",
	"dwudziesta druga",
	"dwudziesta trzecia"};

static char *dajest[]={
    "",
    "pierwszego","drugiego","trzeciego","czwartego","pitego","szstego",
    "sidmego","smego","dziewitego","dziesitego","jedenastego",
    "dwunastego","trzynastego","czternastego","pitnastego",
    "szesnastego","siedemnastego","osiemnastego","dziewitnastego"};

static char *xajest[]={
    "","","dwudziestego","trzydziestego","czterdziestego",
    "pidziesitego","szedziesitego","siedemdziesitego",
    "osiemdziesitego","dziewidziesitego"};

static char *monsy[]={"",
    "stycznia","lutego","marca","kwietnia","maja","czerwca","lipca","sierpnia",
    "wrzenia","padziernika","listopada","grudnia"};
static char *jednostki[20]={
    "zero","jeden","dwa","trzy","cztery","pi","sze","siedem","osiem",
    "dziewi","dziesi","jedenacie","dwanacie","trzynacie",
    "czternacie","pitnacie","szesnacie","siedemnacie",
    "osiemnacie","dziewitnacie"};
static char *dziesiatki[]={"","","dwadziecia","trzydzieci","czterdzieci",
	"pidziesit","szedziesit","siedemdziesit",
	"osiemdziesit","dziewidziesit"};
static char *ejednostki[20]={
    "",
    "pierwszej","drugiej","trzeciej","czwartej","pitej","szstej",
    "sidmej","smej","dziewitej","dziesitej","jedenastej",
    "dwunastej","trzynastej","czternastej","pitnastej",
    "szesnastej","siedemnastej","osiemnastej","dziewitnastej"};
static char *edziesiatki[]={
    "","","dwudziestej","trzydziestej","czterdziestej",
    "pidziesitej","szedziesitej","siedemdziesitej",
    "osiemdziesitej","dziewidziesitej"};
static char *setki[]={"","sto","dwiecie","trzysta","czterysta",
	"piset","szeset","siedemset","osiemset","dziewiset"};
static char *tsx[]={
    " tysic"," tysice"," tysicy",
    " milion"," miliony"," milionw",
    " miliard"," miliardy"," miliardw",
    " bilion"," biliony"," bilionw"};

static char *spa1[]={"","","dwu","trzy","cztero","picio","szecio","siedmio","omio","dziewicio"};
static char *spa2[]={"","","dwu","trzy","cztery","pi","sze","siedem","osiem","dziewi"};





blank(struct Buffer *buf) /* dodanie spacji do bufora */
{
    if (buf->error) return;
    if (buf->pos+1>=buf->size) return;
    if (buf->pos && buf->buf[buf->pos-1]!=' ') {
	buf->buf[buf->pos++]=' ';
	buf->buf[buf->pos]=0;
	}
}

adchar(struct Buffer *b,int c)
{
    if (b->error) return;
    if (b->pos+1>=b->size) {
	b->error=1;
	return;
	}
    b->buf[b->pos++]=c;
    b->buf[b->pos]=0;
}
    
void bstrcpy(struct Buffer *b,char *c) /* dodanie stringu do bufora */
{
    if (b->error) return;
    if (strlen(c)+b->pos>=b->size) {
	b->error=1;
	return;
	}
    strcpy(b->buf+b->pos,c);
    b->pos+=strlen(c);
}
void admin(struct Buffer *buf,int ile) /* dodanie minut do bufora */
{
    if (!ile) {
	bstrcpy(buf,"zero zero");
	return;
	}
    if (ile>=20) {
	bstrcpy(buf,dziesiatki[ile/10]);
	ile%=10;if (!ile) return;
	blank(buf);
	}
    if (ile==2) bstrcpy(buf,"dwie");else
    bstrcpy(buf,jednostki[ile]);
    return;
}

int ptolower(char c) /* konewrsja na znak normalny */
{
    int i;
    for (i=0;blx[i];i++) if (blx[i]==c) return alx[i];
    return ' ';
}
#define isdplet(c) strchr(dug,c)

int isplet(char c) /* czy polska litera */
{
    if (strchr(hug+10,c)) return c;
    return 0;
}
int ispldit(char c) /* czy polska litera albo cyfra */
{
    if (strchr(hug,c)) return c;
    return 0;
}

int vada(char **av,char *b) /* dopasowanie z przesuniciem */
{
    char *c;
    c=*av;
    while (*b) if (*b++!=ptolower(*c++)) return 0;
    if (ispldit(*c)) return 0;
    *av=c;
    return 1;
}

int isroman(char **c,struct Buffer *bf,char *str) /* czy cyfra rzymska. bf - wy.bufor, str - wy.string */
{
    char *d;long val;char devia[12];
    d=*c;
    val=0;
    while (*d=='M') {d++;val+=1000;}
    if (*d=='C' && d[1]=='M') {	d+=2;val+=900;	goto dostu;	}
    if (*d=='C' && d[1]=='D') {	d+=2;val+=400;	goto dostu;	}
    if (*d=='D') {d++;val+=500;}
    if (*d=='C') {
	d++;val+=100;
	if (*d=='C') {d++;val+=100;}
	if (*d=='C') {d++;val+=100;}
	}
dostu:
    if (*d=='X' && d[1]=='C') {	d+=2;val+=90;	goto dodzia;	}
    if (*d=='X' && d[1]=='L') {	d+=2;val+=40;	goto dodzia;	}
    if (*d=='L') {d++;val+=50;}
    if (*d=='X') {
	d++;val+=10;
	if (*d=='X') {d++;val+=10;}
	if (*d=='X') {d++;val+=10;}
	}
dodzia:
    if (*d=='I' && d[1]=='X') {	d+=2;val+=9;	goto ohy;	}
    if (*d=='I' && d[1]=='V') {	d+=2;val+=4;	goto ohy;	}
    if (*d=='V') {d++;val+=5;}
    if (*d=='I') {
	d++;val++;
	if (*d=='I') {d++;val++;}
	if (*d=='I') {d++;val++;}
	}
ohy:
    if (d==*c) return 0;
    if (isplet(*d) || isdigit(*d)) return 0;
	 /*
	 jeli nie jest wywoywana z daty, to jeli po pojedynczym I wystpuje spacja
	 nie jest to liczba rzymska.
	 rwnie liczby 'L','C','M','D' nie s liczbami rzymskimi.
	 */
    if (str) sprintf(str,"%d",val);
    else {
	if (val==1 && *d && isspace(*d)) return 0;
	if (val==50 || val==100 || val==500 || val==1000) return 0;
        sprintf(devia,"%d",val);
        bstrcpy(bf,devia);
	}
    *c=d;
    return 1;
}

int evalb(struct Buffer *buf,int type) /* forma skrtu dla miana liczby */
{
    char *c;long l;
    if (type & TYB_FLOAT) return 3;
    if (type & TYB_COMADIT) return 3;
    l=0;
    c=buf->buf;
    while (*c && *c!=',') {
	l=(l*10)+((*c++)&15);
	}
    if (l==1) return 0;
    l=l%100;
    if (!l) return 2;
    if (l>=10 && l<=20) return 2;
    l%=10;
    if (l>1 && l<5) return 1;
    return 2;
}

char decisep=0;

#define TYB_DECIPOINT ((decisep=='.')?TYB_DECIDOT:TYB_DECICOMMA)

int TypeOfBuf(char *buf) /* typ danych w buforze */
{
    char *c,*xbuf;long l,i;char thousep,xsep;int wath,xmod;
    l=0;
    if (*buf=='$' && isxdigit(buf[1])) return TYB_HEXA|TYB_DIGIT;
    for (c=buf;*c;c++) if (isdigit(*c)) goto ditty;
    for (c=buf;*c;c++) if (strchr(saggy,*c)) return TYB_NORMAL;
    if (!buf[1] && (*buf=='w' || *buf=='z')) return TYB_NORMAL;
    return TYB_NORMAL|TYB_SKROT;
ditty:
    if (isdigit(buf[0]) && buf[2]>='2' && buf[2]<='4' && buf[1]=='/' && !buf[3]) return TYB_DIGIT|TYB_ULAMEK;
    
    /* sprawdzenie liczby */
    c=buf;
    if (*c=='+' || *c=='-') c++;
    if (!isdigit(*c)) goto oditty;
    while (isdigit(*c)) c++;
    if (!*c) return TYB_DIGIT;
    if (*c!='.' && *c!=',') goto oditty;
    if (decisep) {
	if (decisep=='.') thousep==',';else thousep='.';
	wath=0;
	if (*c==thousep) {
	    wath=1;
	    for (;;) {
		c++;
		for (i=0;i<3;i++) if (!isdigit(*c++)) return TYB_DIGIT | TYB_SPELDIT;
		if (*c!=thousep) break;
	    }
	}
	if (!*c) return TYB_DIGIT | TYB_DECIPOINT;
	if (*c==decisep) {
	    c++;
	    if (!isdigit(*c)) return TYB_DIGIT | TYB_SPELDIT;
	    while (isdigit(*c)) c++;
	    if (!*c) return TYB_DIGIT | TYB_DECIPOINT | TYB_COMADIT;
	    if (*c!='e' && *c!='E') return TYB_DIGIT | TYB_SPELDIT;
	    c++;
	    if (*c=='+' || *c=='-') c++;
	    if (!isdigit(*c))  return TYB_DIGIT | TYB_SPELDIT;
	    while (isdigit(*c)) c++;
	    if (*c) return TYB_DIGIT | TYB_SPELDIT;
	    return TYB_DIGIT | TYB_DECIPOINT | TYB_FLOAT;
	}
	if (wath || (*c!='e' && *c!='E')) return TYB_DIGIT | TYB_SPELDIT;
	c++;
	if (*c=='+' || *c=='-') c++;
	if (!isdigit(*c))  return TYB_DIGIT | TYB_SPELDIT;
	while (isdigit(*c)) c++;
	if (*c) return TYB_DIGIT | TYB_SPELDIT;
	return TYB_DIGIT | TYB_DECIPOINT | TYB_FLOAT;
    }
/* sprawdmy, czy to separowana */
    xbuf=c;
    thousep=*c++;
    if (thousep==',') {xsep='.';xmod=TYB_DECIDOT;}
    else {xsep=',';xmod=TYB_DECICOMMA;};
    for (;;) {
	for (i=0;i<3;i++) if (!isdigit(*c++)) goto notasep;
	if (*c!=thousep) break;
	c++;
    }
    if (!*c) return TYB_DIGIT | TYB_COMADIT | xmod;
    if (*c!=xsep) goto notasep;
    c++;
    if (!isdigit(*c)) goto notasep;
    while (isdigit(*c)) c++;
    if (*c=='e' || *c=='E') {
	c++;
	if (*c=='+' || *c=='-') c++;
	if (!isdigit(*c)) goto notasep;
	while(isdigit(*c)) c++;
	if (!*c) return TYB_DIGIT | TYB_FLOAT | xmod;
    }
notasep:
	/* a moe to dziesitny? */
    c=xbuf;
    xsep=*c++;xmod=(xsep=='.'?TYB_DECIDOT:TYB_DECICOMMA);
    while(isdigit(*c)) c++;
    if (!*c) return TYB_DIGIT | TYB_FLOAT | xmod;
    if (*c!='e' && *c!='E') goto oditty;
    c++;if (*c=='-' || *c=='+') c++;
    if (!isdigit(*c)) goto oditty;
    while(isdigit(*c)) c++;
    if (!*c) return TYB_DIGIT | TYB_FLOAT | xmod;
oditty:    
    if (strchr(buf,',')) {
	if (strchr(buf,'.')) return TYB_DIGIT|TYB_COMADIT|TYB_GRPDIT;
	return TYB_COMADIT|TYB_DIGIT;
	}
    for (c=buf;*c;c++) if (*c=='-' || *c=='(' || *c==')') goto cava;
    if (buf[0]=='0' && buf[1]=='x') {
	c=buf+2;
	while (*c) if (!isxdigit(*c++)) return TYB_DIGIT|TYB_SPELDIT;
	return TYB_DIGIT|TYB_HEXA;
	}
cava:
    c=buf;i=0;
    if (*c=='+' || *c=='-') {
	c++;
	while(isdigit(*c)) c++;
	if (!*c) return TYB_DIGIT|TYB_SPELDIT;
	return TYB_DIGIT|TYB_FLOAT;
    }
    while (isdigit(*c)) {c++;i++;}
    if (!*c) {
	if (buf[0]=='0') return TYB_DIGIT|TYB_SPELDIT;
	return TYB_DIGIT;
    }
    if (*c==',') return TYB_DIGIT|TYB_COMADIT;
    if (*c=='e') {
	c++;
	if (!isdigit(*c)) return TYB_DIGIT|TYB_SPELDIT;
	while (isdigit(*c)) c++;
	if (*c!='e') return TYB_DIGIT|TYB_SPELDIT;
	return TYB_DIGIT|TYB_FLOAT;
	}
    if (*c!='.') return TYB_DIGIT|TYB_SPELDIT;
    if (i>3) return TYB_DIGIT|TYB_FLOAT;
    c++;
    for (i=0;i<3;i++) if (!isdigit(*c++)) return TYB_DIGIT|TYB_FLOAT;
    if (*c && *c!='.' && *c!=',') return TYB_DIGIT|TYB_FLOAT;
    for (;*c;c++) if (*c==',') return TYB_DIGIT|TYB_GRPDIT|TYB_COMADIT;
    return TYB_DIGIT|TYB_GRPDIT;
}

void _poslownie(int val,struct Buffer *buf)
{
    if (!val) {blank(buf);bstrcpy(buf,"zero");return;}
    if (!(val % 100)) {blank(buf);bstrcpy(buf,spa2[val/100]);bstrcpy(buf,"setnej");return;}
    if (val>=100) {
	bstrcpy(buf,setki[val/100]);
	val%=100;
	}    
    if (!val) return;
    if (val<20) {
	blank(buf);
	bstrcpy(buf,ejednostki[val]);
	return;
	}
    blank(buf);
    bstrcpy(buf,edziesiatki[val/10]);
    val%=10;
    if (val) {
	blank(buf);
	bstrcpy(buf,jednostki[val]);
	}
    return;
}

int _slownie(int val,struct Buffer *buf,int zeroize,int validone) /* trjka cyfr na sownie.
				zeroize - ilo cyfr dla zer wiodcych
				validone - jeli zero i warto==1 to powrt.
					Stosowane przy tysicach, milionach itd. */
{
    if (!validone && val==1) return 0;
    if (!val && zeroize) {
	blank(buf);    bstrcpy(buf,"zero");
	if (zeroize>1) bstrcpy(buf," zero");
	if (zeroize>2) bstrcpy(buf," zero");
	return 2;
	}
    if (val>=100) {
	bstrcpy(buf,setki[val/100]);
	val%=100;
	}
    else if (zeroize) {
	if (zeroize==3) {
	    blank(buf);bstrcpy(buf,"zero");
	    if (val<10) bstrcpy(buf," zero");
	    }
	else if (zeroize==2) {
	    blank(buf);
	    if (val<10) bstrcpy(buf,"zero");
	    }
	}
    if (!val) return 2;
    if (val<20) {
	blank(buf);
	bstrcpy(buf,jednostki[val]);
	if (val==1) return 0;
	if (val<5) return 1;
	return 2;
	}
    blank(buf);
    bstrcpy(buf,dziesiatki[val/10]);
    val%=10;
    if (val) {
	blank(buf);
	bstrcpy(buf,jednostki[val]);
	}
    if (val>=2 && val<=4) return 1;
    return 2;
}

void speldit(struct Buffer *buff,char *src,int modus) /* Spelling. modus!=0 dla hexw */
{
    int i,val,zez;
    if (*src=='+') {src++;bstrcpy(buff,"plus ");}
    while (*src) {
	if (isplet(*src)) {
	    for (i=0;spelling[i];i++) if (spelling[i][0]==*src) break;
	    if (spelling[i]) {
		blank(buff);
		bstrcpy(buff,spelling[i]+1);
		}
	    src++;
	    continue;
	    }
	if (isdigit(*src)) {
	    blank(buff);
	    if (modus) {
		bstrcpy(buff,jednostki[(*src++)&15]);
		}
	    else {
		for (i=0;isdigit(src[i]);i++);
		/* zmiana planw */
		if (i>3) {
		    while (i) {
			val=0;zez=0;
			zez++;val=(*src++) & 15;i--;
			if (i) {zez++;val=(val*10)+((*src++)&15);i--;}
			if (i&1) {zez++;val=(val*10)+((*src++)&15);i--;}
			_slownie(val,buff,zez,1);
			if (i) bstrcpy(buff,", ");
		    }
		    continue;
		}
			
		if (i>4 && i%3==1) {
		    val=(*src++)&15;
		    val=(val*10)+((*src++)&15);
		    val=(val*10)+((*src++)&15);
		    i-=3;zez=3;goto slodycz;
		    }
		if (i==4) {
		    val=(*src++)&15;
		    val=(val*10)+((*src++)&15);
		    i-=2;
		    zez=2;
		    goto slodycz;
		    }
		val=(*src++)&15;i--;zez=1;
		while (i % 3) {val=(val*10)+((*src++)&15);i--;zez++;}
slodycz:	_slownie(val,buff,zez,1);
		}
	    continue;
	    }
	if (*src++=='-') bstrcpy(buff,", ");
	}
}

slownie(struct Buffer *buff,int value,int isrok)
{
    int eva,t;
    if (isrok==1 && value>9999) {
	bstrcpy(buff,"odlegego");
	return;
	}
    if (!isrok) {
	if (!value) {
	    bstrcpy(buff,"zero");
	    return;
	    }
	eva=value/1000000000;
	if (eva) {
	    t=_slownie(eva,buff,0,0);
	    bstrcpy(buff,tsx[3*t+6]);
	    }
	eva=(value/1000000)%1000;
	if (eva) {
	    t=_slownie(eva,buff,0,0);
	    bstrcpy(buff,tsx[3*t+3]);
	    }
	eva=(value/1000)%1000;
	if (eva) {
	    t=_slownie(eva,buff,0,0);
	    bstrcpy(buff,tsx[3*t]);
	    }
	eva=value%1000;
	if (eva) {
	    t=_slownie(eva,buff,0,1);
	    }
	return;
	}
    if (!value) {
	bstrcpy(buff,"zerowego");
	return;
	}
    eva=value/1000;value%=1000;
    if (eva) {
	if (!value) {
	    bstrcpy(buff,spa1[eva]);bstrcpy(buff,"tysicznego");
	    return;
	    }
	if (eva>1) {
	    bstrcpy(buff,jednostki[eva]);
	    if (eva<5) bstrcpy(buff,tsx[1]);else bstrcpy(buff,tsx[2]);
	    }
	else bstrcpy(buff,tsx[0]+1);
	bstrcpy(buff," ");
	}
    if (!value) return;
    if (!(value/100)) goto nosto;
    if (value%100) {
	bstrcpy(buff,setki[value/100]);bstrcpy(buff," ");
	}
    else {
	bstrcpy(buff,spa2[value%100]);bstrcpy(buff,"setnego");return;
	}
    value%=100;
nosto:
    if (value<20) {
	bstrcpy(buff,dajest[value]);
	return;
	}
    bstrcpy(buff,xajest[value/10]);
    if (value%10) {
	bstrcpy(buff," ");
	bstrcpy(buff,dajest[value%10]);
	}
}

    /* dla dat czonych przez 'i' 'albo' 'oraz' 'lub' 'do' */
static char *spojnia0[]={"i","albo","oraz","lub","do",0};
char *spojnik_1(char *str,char *buf)
{
    int i;
    for (i=0;spojnia0[i];i++) if (!strncasecmp(str,spojnia0[i],strlen(spojnia0[i]))) break;
    if (!spojnia0[i]) return 0;
    str+=strlen(spojnia0[i]);
    if (*str!=' ' && *str!='	') return 0;
    while (*str && ptolower(*str)==' ') str++;
    if (!*str) return 0;
    strcpy(buf,spojnia0[i]);
    return str;
}


static char *szorter[]={
    "w/g","wedug",
    "p.s.","post skriptum",
    "a.d.","anno domini",
    "p.n.e","przed nasz er",
    "b.c.","przed chrystusem",
    "n.e.","naszej ery",
    "c.b.d.o.","co byo do okazania",
    ".p.","witej pamici",
    0};

static char *szurter[]={
    "sz.","szanowny","szanowna","szanowne","szanowni","szanowny",
    "g.","gwny","gwna","gwne","gwni","gwnie",
    "sz.p.","szanowny pan","szanowna pani","szanowny pan","szanowny pan","szanowny pan",
    "sz. p.","szanowny pan","szanowna pani","szanowny pan","szanowny pan","szanowny pan",
    "p.","pan","pani","pan","pan","pan",

    0};

static char *gshor(char *str,char *szort)
{
    int l;
    if (strncasecmp(str,szort,l=strlen(szort))) return 0;
    str+=l;
    if (!*str) return str;
    if (!isplet(*str)) return str;
    return 0;
}
// procedura realizuje pobieranie skrtw nietypowych.

int rodzaj(char *cv)
{
    char lassie;int l;
    if (!strcmp(cv,"pani")) return 1;
    lassie=cv[(l=strlen(cv))-1];
    if (!lassie) return 4;
    if (lassie=='a') return 1;
    if (!strcmp(cv+l-4,"owie")) return 3;
    if (!strcmp(cv+l-4,"stwo")) return 3;
    if (strchr("eiouy",lassie)) return 2;
    return 0;
}
    
char *iszort(char *str,struct Buffer *bubu)
{
    int i,n;char *s,cava[48];
    for (i=0;szorter[i];i+=2) if (s=gshor(str,szorter[i])) {
	bstrcpy(bubu,szorter[i+1]);
	return s;
	}
    for (n=0;szurter[n];n+=6)
    if (s=gshor(str,szurter[n])) {
	while (*s && isspace(*s)) s++;
	if (!isplet(*s)) return 0;
	for (i=0;i<48 && isplet(s[i]);i++) cava[i]=ptolower(s[i]);
	if (i>=48) return 0;
	cava[i]=0;
	i=rodzaj(cava);
	bstrcpy(bubu,szurter[n+1+i]);
	return s;
	}
    return 0;
}


char *getslowo(char *str,struct Buffer *bubu,int mold,int vald) /* mold - to ma by skrt, vald - gramatyka */
{
    char *eos,*c;int i,ncve,nmon,nyr,moody;char dabuda[12],babuda[12],sps,romsty;int prencve;
    if (eos=iszort(str,bubu)) return eos;
    if (mold) {
	for (i=0;c=Skruty[6*i];i++) {
	    eos=str;
	    while (*c) {
		if (*eos++!=*c) break;
		c++;
		}
	    if (*c) continue;
	    if (isdigit(*eos) || isplet(*eos)) continue;
	    bstrcpy(bubu,Skruty[6*i+1]);
	    bstrcpy(bubu,Skruty[6*i+2+vald]);
	    return eos;
	    }
	}
    if (do_roman && isroman(&str,bubu,0)) return str;
    eos=str;
    if (isdplet(*eos) && eos[1]=='.' && isdplet(eos[2]) && (eos[3]=='.' || isplet(eos[3]))) { /* Skrt imienia lub imion */
	sps=ptolower(*eos++);eos++;
	for (i=0;spelling[i];i++) if (spelling[i][0]==sps) {
	    bstrcpy(bubu,spelling[i]+1);
	    return eos;
	    }
	eos=str; /* jednak nie skrt - bd wewntrzny! */
	}
    if (!isdigit(*eos)) goto gugo;

   
/* Sprawdzamy czy data  lub czas */
    ncve=(*eos++)&15;
    if (isdigit(*eos)) ncve=(ncve*10)+((*eos++)&15);
    if (*eos==':' && ncve<24) {
	eos++;
	if (!isdigit(*eos)) goto gugo;
	nmon=(*eos++)&15;
	if (!isdigit(*eos)) goto gugo;
	nmon=(nmon*10)+((*eos++)&15);
	if (nmon>=60) goto gugo;
	if (isdigit(*eos) || isplet(*eos)) goto gugo;
	nyr=-1;
	if (*eos==':' && isdigit(eos[1]) && isdigit(eos[2]) && !isdigit(eos[3]) && !isplet(eos[3])) {
	    eos++;
	    nyr=(*eos++)&15;
	    nyr=(nyr*10)+((*eos++)&15);
	    if (nyr>=60) {nyr=-1;eos-=3;}
	    }
	bstrcpy(bubu,hursy[ncve]);blank(bubu);
	admin(bubu,nmon);
	if (nyr>=0) {
	    blank(bubu);
	    bstrcpy(bubu,"i ");
	    admin(bubu,nyr);
	    }
	return eos;
	}
    if (isdigit(*eos) || ncve<1 || ncve>31) goto gugo;
    prencve=0; /* dla dat czonych przez 'i' 'albo' 'oraz' 'lub' 'do' */
    sps=*eos++;
    if (sps=='-' || sps=='/') { /* to moe by zapis dd/mm/yyyy lub dd-mm-yyyy*/
	    if (!isdigit(*eos)) goto gugo;
	    nmon=(*eos++) & 15;
	    if (!isdigit(*eos)) goto gugo;
	    nmon=(nmon*10)+((*eos++)&15);
	    if (*eos++!=sps) goto gugo;
	    nyr=0;
	    for (i=0;i<4;i++) {
		    if (!isdigit(*eos)) break;
		    nyr=(nyr*10)+((*eos++)&15);
	    }
	    if (i<4 || isdigit(*eos)) goto gugo;
	    prencve=0;
	    moody=0;
	    if (nmon>12) {
		    if (ncve>12) goto gugo;
		    i=nmon;
		    nmon=ncve;
		    ncve=i;
	    }
	    goto ohdata;
    }
	    
	    
	    
    if (sps=='	') sps=' ';
    if (sps==' ') while (*eos==' ' || *eos=='	') eos++;
    if (sps!=' ' && sps!='.') goto gugo;
    if (sps!=' ') goto datachk10;
    if (c=spojnik_1(eos,babuda)) {
	if (!isdigit(*c)) goto datachk10;
	prencve=ncve;ncve=(*c++)&15;
	while (isdigit(*c)) ncve=(ncve*10)+((*c++)&15);
	if (*c=='.') {
	    sps=*c++;
	    eos=c;
	    goto datachk10;
	    }
	if (*c==' ' || *c=='	') {
	    sps=' ';eos=c;
	    while (*eos==' ' || *eos=='	') eos++;
	    goto datachk10;
	    }
	}
datachk10:
    c=eos;moody=0;romsty=0;
    if (isroman(&c,0,dabuda)) {
	nmon=atoi(dabuda);
	if (sps==' ' && nmon==1) romsty=1;
	eos=c;moody=1;
	goto monny;
	}
    if (isdigit(*eos)) {
	nmon=(*eos++)&15;moody=0;
	if (isdigit(*eos)) nmon=(nmon*10) + ((*eos++)&15);
monny:  if (nmon<1 || nmon>12) goto gugo;
	goto yer;
	}
    for (i=1;i<=12;i++) if (vada(&eos,monsy[i])) {
	nmon=i;moody=2;
	goto yer;
	}
    if (sps==' ' && *eos=='b' && eos[1]=='m' && eos[2]=='.') {
	nmon=0;
	nyr=0;
	eos+=3;
	goto ohdata;
	}
yer:if (sps=='.') {
	if(*eos!='.') goto noingre;
	else eos++;
	}
    else {
	if (*eos!=' ' && *eos!='	') goto noingre;
	while (*eos==' ' || *eos=='	') eos++;
	}
    if (isdigit(*eos)) {
	nyr=0;
	while (isdigit(*eos)) nyr=(nyr*10)+((*eos++)&15);
/* korekta dla dat dwucyfrowych */
	if (nyr<32) nyr+=2000;else if (nyr<100) nyr+=1900;
//	if (!nyr) goto gugo;
	
	c=eos;
	moody=0;
	while (*c==' ' || *c=='	') c++;
	if (*c=='r' && c[1]=='.' && !isdigit(c[2]) && !isplet(c[2])) {
	    eos=c+2;
	    moody=1;
	    }
	goto ohdata;
	}
    if (sps==' ' && *eos=='b' && eos[1]=='r' && eos[2]=='.') {
	nyr=0;
	eos+=3;
	goto ohdata;
	}
    eos--;
noingre:
    if (ispldit(*eos)) goto gugo;
    if (!moody) goto gugo;
    nyr=-1;
ohdata:
//    if (romsty && nyr<0) goto gugo; /* '12 I' to nie jest data... */
//    printf("DATA EOS %s\n",eos);
    if (prencve) { /* czona data */
	slownie(bubu,prencve,1);
	blank(bubu);
	bstrcpy(bubu,babuda);
	blank(bubu);
	}
    slownie(bubu,ncve,1);
    bstrcpy(bubu," ");
    if (!nmon) {
	bstrcpy(bubu,"biecego miesica");goto eoda;
	}
    bstrcpy(bubu,monsy[nmon]);
    bstrcpy(bubu," ");
    if (nyr<0) goto eoda;
    if (!nyr) {
	bstrcpy(bubu,"biecego roku");
	goto eoda;
	}
    slownie(bubu,nyr,1);
    if (moody) {
	bstrcpy(bubu," roku");
	}
eoda:
    return eos;
gugo:
    eos=str;if (isplet(*eos)) { /* Cig liter lub liter i cyfr */
	for (;;) {
	    if (ispldit(*eos)) {
		while (ispldit(*eos)) eos++;
		continue;
		}
	    if (*eos!='-') goto bruks;
	    if (ispldit(eos[1])) {
		eos++;
		continue;
		}
	    goto bruks;
	    }
	}
    if (isdigit(*eos) && eos[1]=='/' && isdigit(eos[2]) && !ispldit(eos[3])) {
	/* Uamek */
	eos+=3;
	while (eos>str) adchar(bubu,*str++);
	return str;
	}
/*  hexadecimal: */
    if (*eos=='$') {
	c=eos+1;
	goto hexa;
	}
    if (*eos=='0' && ptolower(eos[1])=='x') {
	c=eos+2;
hexa:
	if (!isxdigit(*c++)) goto none00;
	while (isxdigit(*c)) c++;
	eos=c;
	goto bruks;
	}
none00:
/*	cyfra {cyfra} mylnik {cyfra} {mylnik {cyfra}};*/
    if (isdigit(*eos)) {
	while (isdigit(*eos)) eos++;
	if (*eos++!='-') goto nono0;
	if (!isdigit(*eos)) goto nono0;
	while (isdigit(*eos)) eos++;
	for (;;) {
	    if (*eos!='-') goto bruks;
	    if (!isdigit(eos[1])) goto bruks;
	    eos++;
	    while (isdigit(*eos)) eos++;
	    }
	}
nono0:
    eos=str;
    if (*eos=='(') {
	eos++;
	if (!isdigit(*eos)) goto nono1;
	while (isdigit(*eos)) eos++;
	while (*eos=='-') {
	    eos++;
	    if (!isdigit(*eos)) goto nono1;
	    while (isdigit(*eos)) eos++;
	    }   
	if (*eos++!=')') goto nono1;
	if (!isdigit(*eos)) goto nono1;
	for(;;) {
	    while (isdigit(*eos)) eos++;
	    if (*eos!='-') break;
	    if (!isdigit(eos[1])) break;
	    eos++;
	    }
	goto bruks;
	}
nono1:		/* Liczba grupowana */
    eos=str;
    if (!isdigit(*eos++)) goto nono2;
    if (isdigit(*eos)) eos++;
    if (isdigit(*eos)) eos++;
    ncve=0;
    if (*eos=='.' && eos[1] && isdigit(eos[1])) {
loop20:
	eos++;ncve++;
	if (!isdigit(*eos++)) goto nono2;
	if (!isdigit(*eos++)) goto nono2;
	if (!isdigit(*eos++)) goto nono2;
	if (*eos=='.' && eos[1] && isdigit(eos[1])) goto loop20;
	if (isdigit(*eos)) goto nono2;
commap:
	if (*eos!=',') goto ncaver;
	if (eos[1]=='-') {
	    eos+=2;
	    goto bruks;
	    }
	if (isdigit(eos[1]) && isdigit(eos[2])) {
	    if (!isdigit(eos[3])) eos+=3;
	    goto bruks;
	    }
	goto bruks;
	}
    while (isdigit(*eos)) eos++;
    if (*eos=='.' && isdigit(eos[1])) goto varburg; /* musi zmiennoprzecinkowa */
    goto commap;
ncaver:
    if (ncve>=2) goto bruks;
    goto exponen;
nono2:
    eos=str;
    if ((*eos=='+' || *eos=='-') && isdigit(eos[1])) eos++;
    if (!isdigit(*eos)) goto bruks;
    while (isdigit(*eos)) eos++;
varburg:
    if (*eos=='.' && eos[1] && isdigit(eos[1])) {
	eos+=2;
	while(isdigit(*eos)) eos++;
	}
exponen:
    if (*eos=='e' || *eos=='E') {
	c=eos+1;
	if (*c=='+' || *c=='-') c++;
	if (!isdigit(*c)) goto bruks;
	eos=c;
	while(isdigit(*eos)) eos++;
	}
bruks:
    if (eos==str) goto nbruks;
    while (eos>str) {
	if (*str=='$' || *str=='+') adchar(bubu,*str++);
	else adchar(bubu,ptolower(*str++));
	}
    return str;
nbruks:
    for (i=0;znaks[i];i++) if (znaks[i][0]==*str) {
	bstrcpy(bubu,znaks[i]+1);
	return str+1;
	}
    return 0;
}

//char wbuffer[1024];
//char xbuffer[1024];


char valideng(char c)
{
    char *d;
    static char *e1="abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789.,-;:!?() @%=/+";
    static char *e2="abcdefghijklmnopqrstuvwxyzabcdefghijklmnopqrstuvwxyz0123456789.,-,,.?,, @%=/+";
    d=strchr(e1,c);
    if (d) return e2[d-e1];
    return ' ';
}
char validdeu(char c)
{
    char *d;
    static char *e1="abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789.,-;:!?() @%=/+";
    static char *e2="abcdefghijklmnopqrstuvwxyzabcdefghijklmnopqrstuvwxyz0123456789.,-,,.?,, @%=/+";
    d=strchr(e1,c);
    if (d) return e2[d-e1];
    return ' ';
}

char *deudits[]={"null ","ein ","zwei ","drei ","vier ","fnf ","sechs ","sieben ","acht ","neun "};
char *engdits[]={"zero ","one ","two ","three ","four ","five ","six ","seven ","eight ","nine "};

static struct {
    short c;
    char *eng;
    char *deu;
    } sznaks[]={
    {'@',"at","at"},
    {'%',"percent","prozent"},
    {'=',"equal","ist"},
    {'/',"slash","slasch"},
    {'+',"pluss","plus"},
    {0,0,0}};

angtrax(char *dfx)
{
    while (*dfx) {
	if (*dfx=='r' && dfx[1]=='e' && !isalpha(dfx[2])) {
	    dfx[0]='e';
	    dfx[1]='r';
	    }
	dfx++;
	}
}


char *Pass1(char *ii,int *len)
{
    char *d;int m,mold,vald,i,spa;char abubu[32];
    struct Buffer bubu;
    char *c,e;int leon;char *buck,*wbuffer;
    m=0;mold=0;vald=0;
    
//    printf("Pass1 lang %d\n",lang);
    wbuffer=(void *)malloc(2048);
    if (!wbuffer) return 0;
    leon=512;
    if (!(buck=malloc(leon))) {
	free(wbuffer);
	return 0;
	}
    spa=1;strcpy(buck,"   ");
    while (*ii) {
	bubu.error=0;
	bubu.buf=wbuffer;
	*wbuffer=0;
	bubu.pos=0;
	bubu.size=2048;
	d=getslowo(ii,&bubu,mold,vald);
	if (!d) {
	    if ((e=ptolower(*ii++))==' ') continue;
	    if (!e) continue;
	    mold=0; /* Usunicie oddziaywania liczby */
	    if (strlen(buck)>=leon-2) {
		char *c;
		c=malloc(2*leon);
		if (!c) {
frall:		    free(wbuffer);
		    free(buck);
		    return 0;
		    }
		strcpy(c,buck);
		free(buck);
		buck=c;leon*=2;
		}
	    i=strlen(buck);
	    buck[i]=e;
	    buck[i+1]=0;
	    spa=0;
	    continue;
	    }
	if (bubu.error) {
blad:	    m=0;
	    ii++;
	    continue;
	    }
	ii=d;
	bubu.buf[bubu.pos]=0;
	m=TypeOfBuf(bubu.buf);
	if ((m & TYB_DIGIT) && !(m & TYB_SPELDIT)) {
	    mold=m;vald=evalb(&bubu,mold);
	    }
	else mold=0;
	if (m & TYB_NORMAL) {
	    for (i=0;Szorty[2*i];i++) {
		c=Szorty[2*i];
		d=wbuffer;
		while (*c && *c!='.') {
		    if (*d++!=*c) break;
		    c++;
		    }
		if (*c=='.' && *ii=='.') {
		    ii++;
		    c++;
		    }
		if (*c) continue;
		if (!*d) break;
		}
	    if (Szorty[2*i]) {
		bubu.pos=0;
		bstrcpy(&bubu,Szorty[2*i+1]);
		goto finnegan;
		}
	    }
	if (m & (TYB_SPELDIT | TYB_SKROT)) {
	    bubu.size-=bubu.pos+1;
	    bubu.buf+=bubu.pos+1;
	    bubu.pos=0;
	    speldit(&bubu,wbuffer,0);
	    if (bubu.error) goto blad;
	    strcpy(wbuffer,bubu.buf);
	    goto finnegan;
	    }
	if (m & TYB_HEXA) {
	    bubu.size-=bubu.pos+1;
	    bubu.buf+=bubu.pos+1;
	    bubu.pos=0;
	    c=wbuffer;
	    if (*c=='$') {
		c++;
		bstrcpy(&bubu,"dolar ");
		}
	    else if (*c=='0' && c[1]=='x') {
		 c+=2;
		 bstrcpy(&bubu,"zero iks ");
		 }  
	    speldit(&bubu,c,1);
	    if (bubu.error) goto blad;
	    strcpy(wbuffer,bubu.buf);
	    goto finnegan;
	    }
	if (m & TYB_DIGIT) {
	    bubu.size-=bubu.pos+1;
	    bubu.buf+=bubu.pos+1;
	    bubu.pos=0;
	    transdit(&bubu,wbuffer,m);
	    strcpy(wbuffer,bubu.buf);
	    }
finnegan:
	i=strlen(wbuffer);
	if (!spa) i++;
	if (strlen(buck)+i>=leon-1) {
	    int oleon;
	    oleon=leon;
	    while (strlen(buck)+i>=leon-1) leon=2*leon;
	    if (!(c=malloc(leon))) goto frall;
	    strcpy(c,buck);
	    free(buck);
	    buck=c;
	    }
	if (!spa) {
	    i=strlen(buck);
	    buck[i]=' ';
	    buck[i+1]=0;
	    }
	strcat(buck,wbuffer);
	spa=0;
	}
    c=buck+3;while (*c==' ') c++;
    for (d=buck+3,spa=1;*c;c++) {
	if (*c=='(' || *c==')' || *c=='-') {
	    *d++=',';
	    spa=0;
	    continue;
	    }
	if (*c==' ') {
	    if (!spa) {
		*d++=' ';
		spa=1;
		}
	    continue;
	    }
	*d++=*c;
	spa=0;
	}
    *d=0;
    d--;
/*
    if (!strchr("().,?-",*d)) {
	d++;
	*d++='.';
	*d=0;
	}
*/
    free(wbuffer);
    *len=leon;
    return buck;
}


transdit(struct Buffer *dren,char *src,int mod)
{
    int badgie[5],i,n,j,z;char ddo,dto;
    ddo='.';dto=',';
    if (mod & TYB_DECICOMMA) {ddo=',';dto='.';}
    for (i=0;i<5;i++) badgie[i]=0;
    if (*src=='+') src++;else if (*src=='-') {
	src++;
	bstrcpy(dren,"minus ");
	}
    if (mod & TYB_ULAMEK) {
	j=(*src)&15;
	if (*src=='2') bstrcpy(dren,"dwie");else
	if (*src=='1') bstrcpy(dren,"jedna");else
	bstrcpy(dren,jednostki[(*src)&15]);
	src++;src++;
	blank(dren);
	i=(*src)&15;
	bstrcpy(dren,mianownik[i]);
	if (j==1) bstrcpy(dren,"a");else
	if (j>=2 && j<=4) {
	    if (i==2) bstrcpy(dren,"ie");else bstrcpy(dren,"e");
	    }
	else {
	    if (i==2) bstrcpy(dren,"ich");else
	    if (i==3) bstrcpy(dren,"ch");else bstrcpy(dren,"ych");
	    }
	return;
	}
    if (mod & TYB_GRPDIT) {
	for (;;) {
	    if (!isdigit(*src)) break;
	    n=(*src++) & 15;
	    while (isdigit(*src)) n=(n*10) + ((*src++) & 15);
	    for (j=3;j>=0;j--) badgie[j+1]=badgie[j];
	    badgie[0]=n;
	    if (*src!=dto) break;
	    src++;
	    }
	}
    else {
	while (isdigit(*src)) {
	    for (i=0;isdigit(src[i]);i++);
	    n=(*src++)&15;i--;
	    while (i % 3) {n=(n*10) + ((*src++) & 15);i--;}
	    for (j=3;j>=0;j--) badgie[j+1]=badgie[j];
	    badgie[0]=n;
	    }
	}
    for (i=4;i>=0;i--) if (badgie[i]) break;
    if (i<0) {
	bstrcpy(dren,"zero");
	}
    if (i>0) mod&=~TYB_EXPONENT;
    for (;i>=0;i--) if (badgie[i]) {
	blank(dren);
	if (mod & TYB_EXPONENT) 
	_poslownie(badgie[i],dren);
	else {
	    n=_slownie(badgie[i],dren,0,!i);
	    if (i) {
	        bstrcpy(dren,tsx[(i-1)*3+n]);
	        }
	    }
	}
dron:
    if (mod & TYB_FLOAT) goto ffp;
    if (*src++!=ddo) return;
    bstrcpy(dren," przecinek");
    if (!isdigit(*src)) {
	bstrcpy(dren," zero");
	return;
	}
    n=(*src++) & 15;
    blank(dren);
    while(isdigit(*src)) n=(n*10)+((*src++)&15);
    _slownie(n,dren,1,1);
    return;
ffp:
    if (*src!=ddo) goto exponent;
    src++;
    bstrcpy(dren," przecinek");
    if (!isdigit(*src)) {
	bstrcpy(dren," zero");
	goto exponent;
	}
    while (isdigit(*src)) {
	for (i=0;isdigit(src[i]);i++);
	i--;n=(*src++)&15;z=1;
	while (i % 3) {i--;n=(n*10) + ((*src++) & 15);z++;}
	blank(dren);
	_slownie(n,dren,z,1);
	}
exponent:
    if (*src!='e') return;
    src++;
    bstrcpy(dren," razy dziesi do potgi ");
    if (*src=='-') {
	bstrcpy(dren," minus");
	src++;
	}
    else if (*src=='+') src++;
    if (!isdigit(*src)) bstrcpy(dren," zero");
    else transdit(dren,src,TYB_DIGIT | TYB_EXPONENT);
}
