#include "newstring.h"
#include <string.h>
#include <stdlib.h>

void ns_init(struct new_string *ns)
{
    if (!ns->data) {
        ns->space=128;
        if (!(ns->data=malloc(ns->space))) exit(10);
        }
    memset(ns->data,0,ns->space);
    ns->items=0;
}

int ns_append(struct new_string *ns,int ch)
{
    if (ns->items+2>ns->space) {
        if (!(ns->data=realloc(ns->data,ns->space+128))) exit(10);
        memset(ns->data+ns->space,0,128);
        ns->space+=128;
        }
    ns->data[ns->items++]=ch;
    return ch;
}
void ns_appendstr(struct new_string *ns,char *str)
{
    if (ns->items+strlen(str)+1>ns->space) {
        int l;
        l=(strlen(str)+1)/128;
        l=(l+1)*128;
        if (!(ns->data=realloc(ns->data,ns->space+l))) exit(10);
        memset(ns->data+ns->space,0,l);
        ns->space+=l;
        }
    strcpy(ns->data+ns->items,str);
    ns->items+=strlen(str);
}

void ns_appendnstr(struct new_string *ns,char *str,int len)
{
    if (ns->items+len+1>ns->space) {
        int l;
        l=(len+1)/128;
        l=(l+1)*128;
        if (!(ns->data=realloc(ns->data,ns->space+l))) exit(10);
        memset(ns->data+ns->space,0,l);
        ns->space+=l;
        }
    memcpy(ns->data+ns->items,str,len);
    ns->items+=len;
    ns->data[ns->items]=0;
}
