#include <stdlib.h>
#define OP_CONC 1
#define OP_ALTER 2
#define OP_CALL 3
#define OP_CHAR 4
#define OP_CLASS 5
#define OP_EXCL 6

int inclass(char,int);

void *cmalloc(n)
{
    void *a;
    if (a=malloc(n)) memset(a,0,n);
    return a;
}



static int firsttime=0;

static char *tabaca[]={
    "aa","A'a","bb","cc","","=","","dd","D","J","G","G=",
    "ee","E'e","ff","gg","hh","Hh","ii","I'i","jj","J=","kk","ll",
    "mm","nn","","oo","O'o","pp","qQ","rr","ss","","","tt",
    "uu","U'u","vv","ww","yy","Y'y","zz","","","NN",
    0};
    
static char *tebaca[256];
static char lends[256];
static void mktabfon(void)
{
    int i,n;
    if (firsttime) return;
    firsttime=1;
    for (i=0;tabaca[i];i++) {
	n=tabaca[i][0] & 255;
	tebaca[n]=tabaca[i]+1;
	lends[n]=strlen(tebaca[n]);
	}
}

extern short funs[],params[];
extern char opers[];
extern struct product {short next,left,rite,text;} prods[];
extern char langtable[];
extern short langprods[];
extern char strings[];


ISSPACE(int z)
{
    if ((z&255)<33) return 1;
    return 0;
}

samog(register char c)
{
    register char *d;
    d="aeiouy";
//    d="aeiouy";
    while (*d) if (*d++==c) return 1;
    return 0;
}



adwork(char **work,char **wpos,int *wlen,char *adder,int adlen)
{
    char *c,*wsp,*bsp;int al,bl;
    if (!*work) {
	bl=512; /* 512 */
	while (bl<adlen+1) bl=2*bl;
	wsp=(void *)cmalloc(bl);
	if (!wsp) return 0;
	*work=wsp;
	*wpos=wsp+adlen;
	memcpy(wsp,adder,adlen);
	*wlen=bl;
	return 1;
	}
    wsp=*work;
    c=*wpos;
    al=c-wsp;
    if (al+adlen<(*wlen)-1) {
	memcpy(c,adder,adlen);
	*wpos=c+adlen;
	return 1;
	}
    bl=2*(*wlen);
    while (al+adlen>bl-1) bl=2*bl;

    bsp=(void *)malloc(bl);
    if (!bsp) return 0;
    memcpy(bsp,wsp,al);
    c=bsp+al;
    free(wsp);
    *wlen=bl;
    *work=bsp;
    *wpos=c+adlen;
    memcpy(c,adder,adlen);
    return 1;
}


char *Pass1(char *,int *);
char *GoRSynth(char *,int);
extern int langbeg[];
char *trancode(char *intxt,int inlen)
{
    char *c,*d,*e,*buff;
    int sp,k,k1,blen;
    char *work1,*work2,makumba[32];
    int wle1,wle2,was_stress;
    

loop:
    work1=0;wle1=0;
    work2=0;wle2=0;
    
    mktabfon();
    if (intxt[inlen]) {
	c=malloc(inlen+1);
	if (!c) return 0;
	memcpy(c,intxt,inlen);
	c[inlen]=0;
	work1=Pass1(c,&wle1);
	free(c);
	}
    else work1=Pass1(intxt,&wle1);
    if (!work1) goto unreturn;
    c=work1+strlen(work1);
    if (!adwork(&work1,&c,&wle1,"   ",3)) goto unreturn;
    *c=0;
    c=work2;
    d=work1+3;

//    printf("Po przebiegu 1:<%s>\n",work1);
    while (*d) {
	k=encod(d,makumba,langbeg[1]);
	k1=0x80;
	while (k & k1) {d++;k1<<=1;}
	k&=0x7f;
	if (!adwork(&work2,&c,&wle2,makumba,k)) goto unreturn;
	d++;
	}
    *c=0;
    c=work2;
    free(work1);
    work1=0;wle1=0;


//    printf("Po przebiegu 2:<%s>\n",work2);

    for (was_stress=3;;) {
    	int ext_stress;
	
	while (*c && ISSPACE(*c)) c++;
	if (!*c) break;
	d=0;e=0;ext_stress=0;
	while (*c && !ISSPACE(*c)) {
// wyjtki w akcentowaniu obsuone przez reguy
	    if (strchr("AEIOUY",*c)) {
		    ext_stress=1;
		    was_stress=2;
	    }
	    if (samog(*c)) {
		d=e;e=c;
		}
	    c++;
	    }
	if (!ext_stress) {
		if (d) {
			*d=toupper(*d);
			was_stress=2;
		}
		else {
			
			for (d=c;*d && ISSPACE(*d);d++);
			/* ostatnie jednosylabowe w zdaniu akcentowane, jeli przedtem byo wielosylabowe */
			if (!*d) {
				 if (was_stress==2) was_stress=0;
			 }
			else if (was_stress==3) { /* pierwsze sowo */
				int nsy;
				for (nsy=0;*d && !ISSPACE(*d);d++) if (strchr("aeiouy",*d)) nsy++;
				if (nsy==1) was_stress=0; /* wymuszamy akcentowanie */
			}
			else if (!was_stress) { /* moe trzeba akcentowa? */
				int nsy;
				for (nsy=0;*d && !ISSPACE(*d);d++) if (strchr("aeiouy",*d)) nsy++;
				if (nsy!=1) was_stress=1; /* wymuszamy brak akcentowania */
			}
			if (!was_stress && e) {
				was_stress=1;
				*e=toupper(*e);
			} else was_stress=0;
		}
	}
    }
    c=work2;
    d=buff=malloc(256);
    blen=256;
    for (sp=0;*c;c++) {
	if (ISSPACE(*c)) {
	    sp=1;
	    continue;
	    }
	if (sp) {
	    if (!adwork(&buff,&d,&blen," ",1)) return 0;
	    sp=0;
	    }
	if (!tebaca[(*c) & 255]) {
	    makumba[0]=*c;
	    makumba[1]=0;
	    if (!adwork(&buff,&d,&blen,makumba,1)) return 0;
	    }
	else {
	    if (!adwork(&buff,&d,&blen,tebaca[(*c)&255],strlen(tebaca[(*c)&255]))) return 0;
	    }
	}
    *d=0;
    free(work2);
// rsynth specific:
    // printf("Do powiedzenia A:%s\n",buff);
    buff=GoRSynth(buff,blen);

    // printf("Do powiedzenia B:%s\n",buff);
    return buff;

unreturn:
    if (work2) free(work2);
    if (work1) free(work1);
    return 0;
}


char *GoRSynth(char *c,int ble)
{
    char *d,*ec,cx;int le;
    for(d=ec=c;*c;c++) {
        if (*c==' ') continue;
        if (strchr("g",*c) && c[1]=='=') c[1]='#';
        if (strchr("Q.?",*c)) {
            *d++=' ';
            }
        else if (strchr(",.;:",*c)) {
            *d++=' ';
            if (c[1]==' ') {
                c++;
                *d++=*c;
                }
            }
        else *d++=*c;
        }
    *d=0;
    
    return ec;
}



encod(char *inp,char *oup)
{
    int i,nr,ts,k;char *c;
    for (i=0;langtable[i];i++) if (langtable[i]==*inp) break;
    if (!langtable[i]) {
	*oup=*inp;
	oup[1]=0;
	return 1;
	}
    nr=langprods[i];
nct:
    ts=pasuj(inp-1,prods[nr].left,-1,0);
    if (!ts) goto nxt;

    ts=pasuj(inp+1,prods[nr].rite,1,0);
    if (!ts) goto nxt;
    k=0;
    c=strings+prods[nr].text;
    while (*c=='$') {
	k=(k<<1) | 0x80;
	c++;
	}
    strcpy(oup,c);
    return k|strlen(oup);
nxt:
    nr=prods[nr].next;
    if (nr>=0) goto nct;
    *oup=*inp;
    oup[1]=0;
    return 1;
}

GetPolly(int po,int *oper,int *par1,int *par2)
{
    if (po & 0x8000) {
	*oper=(po>>8) & 0x7f;
	*par1=po & 0xff;
	}
    else {
	*oper=opers[po];
	*par1=params[2*po];
	*par2=params[2*po+1];
	}
}


#define OP_CONC 1
#define OP_ALTER 2
#define OP_CALL 3
#define OP_CHAR 4
#define OP_CLASS 5
#define OP_EXCL 6

pasuj(char *inp,int prod,int dir,int lev)
{
    int oper,par1,par2,n,n1;
loop:
    GetPolly(prod,&oper,&par1,&par2);
    switch(oper) {
	case OP_CHAR:
	if ((*inp & 255)!=(par1 & 255)) return 0;
	return 1;
	case OP_CLASS:
	if (!inclass(*inp,par1)) return 0;
	return 1;
	case OP_CALL:
	return pasuj(inp,funs[par1],dir,lev+1);
	case OP_EXCL:
	if (!inclass(*inp,par1)) return 0;
	n=pasuj(inp,par2,dir,lev+1);
	if (!n) return 1;
	return 0;
	case OP_ALTER:
	n=pasuj(inp,par1,dir,lev+1);
	if (n) return n;
	prod=par2;
	goto loop;
	case OP_CONC:
	n=pasuj(inp,par1,dir,lev+1);
	if (!n) return 0;
	n1=pasuj(inp+n*dir,par2,dir,lev+1);
	if (!n1) return 0;
	return n+n1;
	}
    return 0;
}

char *ESX[]={
    0,
    "aeiouy",
    "bdgz",
    "cfhkpst",
    "lrw",
    "aeiouylrwmnj",
    "mnj",
    " ,.?-",
    " ",
    0};

inclass(char inp,int clasno)
{
    char *c;
    if (!clasno) return 1;
    for (c=ESX[clasno];*c;c++) if (*c==inp) return 1;
    return 0;
}

